% **************************************************************************** %
% Author: Stefan Berger
% Created: December 2022
% **************************************************************************** %

	% -------------------------------------------------------------------------- %
	% TODOs
	% -------------------------------------------------------------------------- %
	% - none
	% -------------------------------------------------------------------------- %

	% -------------------------------------------------------------------------- %
	% TEMPLATE RELATED TODOS
	% - none
	% -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % FINAL CHECK FOR EVERY PROJECT:
  % -------------------------------------------------------------------------- %
  % [ ] Bibliography check:
  %   [ ] Remove ISSN and DOI and put DOI as URL
  %   [ ] Check double names: Make "Last, AB" to "Last, A B"
  % [ ] Resolve all TODOs
  % [ ] Check for errors in LaTeX log
  % [ ] Apply Spell Checker and Grammar Checker to all files
  % [ ] Check bibliography style consistency
  % [ ] Check titlecase for chapter headings
  % [ ] Hand out preprint/draft to supervisor for correction
	% -------------------------------------------------------------------------- %

	% -------------------------------------------------------------------------- %
  % FINAL CHECK FOR A PRESENTATION:
	% -------------------------------------------------------------------------- %
	% [ ] Check presentation room for 16:9 or 4:3 beamer
	% [ ] Check Adobe Reader or Preview compatibility
	% [ ] Don't forget laser pointer, usb-c adapter for HDMI & usb-c to usb-a adap
	% [ ] Don't forget charged laptop
	% [ ] Don't forget high quality HDMI cable in case the given one is shitty
	% [ ] Compile presentation on laptop and pre-open
	% [ ] Print handout and practice using own beamer
	% [ ] Put presentation on USB stick for own laptop failure
  % -------------------------------------------------------------------------- %

% **************************************************************************** %


% **************************************************************************** %
% USER SETTINGS
% **************************************************************************** %

	% -------------------------------------------------------------------------- %
	% LOAD TEMPLATE
	% -------------------------------------------------------------------------- %
		\newcommand{\templatePath}{../../modules/latex-templates/}
		\documentclass[
			% aspectratio=169, % for 16:9 beamers
			aspectratio=1610, % for 16:9 beamers
			% handout, % disbale alert dynamics
		]{\templatePath/beamer-en}
	% -------------------------------------------------------------------------- %

	\usepackage{algorithm,algorithmic}
	\usetikzlibrary{spy}
	\usetikzlibrary{arrows.meta}

  % -------------------------------------------------------------------------- %
  % BIBLIOGRAPHY PATH
  % -------------------------------------------------------------------------- %
		\addbibresource{literature/references.bib}
	% -------------------------------------------------------------------------- %

	% -------------------------------------------------------------------------- %
  % SMALL BIBLIOGRAPHY
  % -------------------------------------------------------------------------- %
		\AtBeginBibliography{\scriptsize}
	% -------------------------------------------------------------------------- %


	% Data path for pgfplots:
	% => Use in pgfplots as \addplot table {\datapath/data.csv}
	\newcommand{\datapath}{./data}

	% -------------------------------------------------------------------------- %
	% SHOW AGENDA BEFORE EACH SECTION (BUT NOT FOR HANDOUT)
	% -------------------------------------------------------------------------- %
		% \AtBeginSection[]{
		% 	\begin{frame}[<beamer>] % only beamer, not handout
		% 	\frametitle{Outline}
		% 	\tableofcontents[currentsection]
		% 	\end{frame}
		% }
		% \mode<handout>{
		% 	\AtBeginSection[]{}
		% }
	% -------------------------------------------------------------------------- %

% **************************************************************************** %



% **************************************************************************** %
% TITLE PAGE (USE ADOBE READER FOR ANIMATIONS)
% **************************************************************************** %
	\title[<short title>]{
		\large
		 Density Operator in Eigenvalue Problems with Application in Manifold Interpolation 
	}
	\subtitle{
		Bachelor Thesis \textendash\ Computational Engineering Science (CES)
	}
	\author{
		Stefan Berger
		\texorpdfstring{\hfill}{\space}
		Supervisor: Prof.~Dr.~Benjamin Stamm
	}
	\institute{
		RWTH Aachen University
	}
	\titlegraphic{
		\includegraphics[trim=60pt 65pt 60pt 65pt, clip, height=2em]{\templatePath/examples/thesis-en/content/i_textlogo_acom.png}
		% \hspace{-0.5cm}
	}
	\date{Aachen, 05 December 2022}
	\backgroundgraphic{
		% static:
		\includegraphics[trim=20pt 0pt 0pt 0pt, clip, width=.6\paperwidth]{figs/ManifoldInterpolation/ManifoldInterpolation.pdf}
		% animated with test-0.png to test-1.png:
		% \animategraphics[trim=0pt 30pt 0pt 35pt, width=\paperwidth,loop,autoplay,poster=last,type=jpg,label=test]{5}{./figs/stirrerAnimation/stirrer-}{1}{32}
	}
	\footline{
		Stefan Berger
		\textbar\
		 Density Operator in Eigenvalue Problems with Application in Manifold Interpolation
	}
% **************************************************************************** %



% **************************************************************************** %
% ACTUAL CONTENT
% **************************************************************************** %
	\begin{document}

	% -------------------------------------------------------------------------- %
	% Title page
	% -------------------------------------------------------------------------- %
		\begingroup
			\setbeamertemplate{navigation symbols}{} % no nav symbols
			\maketitle
		\endgroup
	% -------------------------------------------------------------------------- %

	% -------------------------------------------------------------------------- %
	% TOC
	% -------------------------------------------------------------------------- %
		\begin{frame}[t]
			\frametitle{Outline}
			\tableofcontents[]
		\end{frame}
	% -------------------------------------------------------------------------- %

	% -------------------------------------------------------------------------- %
	% Actual content
	% -------------------------------------------------------------------------- %
		\input{content/p1_content.tex}
	% -------------------------------------------------------------------------- %

	% -------------------------------------------------------------------------- %
	% References
	% -------------------------------------------------------------------------- %
		% \section*{References} % skip TOC
		% \begin{frame}[t,allowframebreaks]
		% 	\frametitle{References}
		% 	\printbibliography[heading=none]
		% \end{frame}
	% -------------------------------------------------------------------------- %

	% -------------------------------------------------------------------------- %
	% Last page: Thank you and a show quote, pic or something nice
	% -------------------------------------------------------------------------- %
	 \input{content/p2_thankyou.tex}
	% -------------------------------------------------------------------------- %

	\end{document}
% **************************************************************************** %
